package com.jeequan.jeepay.core.model.rqrs.payorder.payway;

import com.jeequan.jeepay.core.constants.CS;
import com.jeequan.jeepay.core.model.rqrs.payorder.UnifiedOrderRQ;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/*
 * 支付方式： ALI_LITE
 *
 * @author terrfly
 *
 * @date 2021/6/8 17:34
 */
@Data
public class AliLiteOrderRQ extends UnifiedOrderRQ {

    /** 支付宝用户ID **/
    @NotBlank(message = "用户ID不能为空")
    private String buyerUserId;

    /** 传入该appId下单上送至三方 **/
    private String subAppId;

    /** 构造函数 **/
    public AliLiteOrderRQ(){
        this.setWayCode(CS.PAY_WAY_CODE.ALI_LITE);
    }

    @Override
    public String getChannelUserId(){
        return this.buyerUserId;
    }

}
